org.red5.server.exception

## Class ClientDetailsException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.red5.server.exception.ClientDetailsException

All Implemented Interfaces:
  Serializable

    public class ClientDetailsException
    extends RuntimeException

Exception class than contains additional parameters to return to the client.

Author:
  The Red5 Project (red5@osflash.org), Joachim Bauch (jojo@struktur.de)
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ClientDetailsException(String message, Object params)` Create new exception object from message and parameters.
`ClientDetailsException(String message, Object params, boolean includeStacktrace)` Create new exception object from message and parameters with optional stacktrace.

### Method Summary

Methods
`Object` `getParameters()` Get parameters to return to the client.
`boolean` `includeStacktrace()` Should the stacktrace returned to the client?

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ClientDetailsException

    public ClientDetailsException(String message,
                          Object params)

Create new exception object from message and parameters. By default, no stacktrace is returned to the client.

Parameters:
  `message` - message
  `params` - parameters for message

#### ClientDetailsException

    public ClientDetailsException(String message,
                          Object params,
                          boolean includeStacktrace)

Create new exception object from message and parameters with optional stacktrace.

Parameters:
  `message` - message
  `params` - parameters
  `includeStacktrace` - whether or not to include a stack trace

### Method Detail

#### getParameters

    public Object getParameters()

Get parameters to return to the client.

Returns:
  parameters

#### includeStacktrace

    public boolean includeStacktrace()

Should the stacktrace returned to the client?

Returns:
  stacktrace